<template>
  <svn-login-card>
    <template #box-header>
      <v-img src="../../stories/assets/docs.png" class="w-[140px] h-[32px] md:w-[269px] md:h-[61px]" />
    </template>

    <template #box-content>
      <div class="w-full flex flex-col gap-2">
        <div class="flex flex-col items-start gap-6 w-full">
          <div class="flex flex-col items-center md:items-start justify-center gap-2 w-full">
            <p class="text-xl md:!text-2xl font-medium">
              {{ 'Welcome on board !' }}
            </p>

            <p class="text-sm font-medium text-darkGrey">
              {{ 'Please enter your email & password.' }}
            </p>
          </div>

          <v-text-field
            hide-details
            label="Email"
            class="w-full"
            type="text"
            variant="outlined"
          >
          </v-text-field>

          <div class="flex flex-col items-end gap-2 w-full">
            <v-text-field
              label="Password"
              class="w-full"
              type="password"
              variant="outlined"
              hide-details
            >
              <template #message>
                <div class="flex items-center gap-2 w-full ms-1 me-8">
                  <Icon icon="material-symbols:info" heigth="16" width="16" />
                  <p>{{ 'Wrong password' }}</p>
                </div>
              </template>
            </v-text-field>

            <p
              class="w-fit text-xs text-right text-fake-black cursor-pointer underline"
              style="text-decoration: underline"
            >
              {{ 'Forgot my password' }}
            </p>
          </div>

          <v-btn
            :height="40"
            class="w-full normal-case"
            color="fakeBlack"
          >
            {{ 'Login' }}
          </v-btn>
        </div>

        <div class="flex items-center justify-center">
          <div class="w-full border-middle-grey border" />

          <div class="mx-4">
            <svn-text color="dark-grey" xs normal class="px-4">or</svn-text>
          </div>

          <div class="w-full border-middle-grey border" />
        </div>

        <v-btn variant="outlined" color="dark-grey">
          <div class="w-full flex items-center gap-4 normal-case">
            <div>
              <Icon icon="flat-color-icons:google" height="16" width="16" />
            </div>

            <svn-text xs medium>Sign in with Google</svn-text>
          </div>
        </v-btn>
      </div>
    </template>
  </svn-login-card>
</template>

<script setup>
import { Icon } from '@iconify/vue';
import SvnLoginCard from '../../components/login/SvnLoginCard.vue';
</script>

<style scoped>

</style>